using System.Collections.Generic;

namespace BeWo.Data.Entities
{
    public class UserGroup : BeWoEntityBase
    {
        public static string PropertyName_Description = "Description";

        public static string PropertyName_Name = "Name";

        public static string PropertyName_Rights = "Rights";

        private string _Description;

        private string _Name;

        private IList<RightRelation> _Rights;

        // public UserGroup() { _Tid = TableID.; }

        public virtual string Description
        {
            get
            {
                return this._Description;
            }

            set
            {
                if (this.AreDifferent(this._Description, value))
                {
                    this._Description = value;
                }
            }
        }

        public virtual string Name
        {
            get
            {
                return this._Name;
            }

            set
            {
                if (this.AreDifferent(this._Name, value))
                {
                    this._Name = value;
                }
            }
        }

        public virtual IList<RightRelation> Rights
        {
            get
            {
                return this._Rights ?? (this._Rights = new List<RightRelation>());
            }

            set
            {
                if (this.AreDifferent(this._Rights, value))
                {
                    this._Rights = value;
                }
            }
        }
    }
}